MONGOC_SOCKET_RECV(3)

NAME
mongoc_socket_recv() - This function performs a recv() on the underlying socket.

SYNOPSIS

ssize_t
mongoc_socket_recv (mongoc_socket_t *sock,
                    void            *buf,
                    size_t           buflen,
                    int              flags,
                    int64_t          expire_at);

PARAMETERS

sock
    A mongoc_socket_t \&.

buf A buffer to read into.

buflen
    A size_t with the number of bytes to receive.

flags
    flags for recv(3) \&.

expire_at
    A int64_t with the time to expire in monotonic time using bson_get_monotonic_time(3) , which is in microseconds.

DESCRIPTION

This function performs a recv(3) on the underlying socket.

RETURNS

The number of bytes received on success, 0 on stream closed, and -1 if there was a failure and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.